Response fields
resultsarray of objectsPositions returned for the request.
instrumentobjectInstrument metadata for a V2 position. Use kind to determine which schema is present.
kindstringType of security instrument.
idstring (format: uuid)Unique identifier for the instrument.
symbolstringThe formatted trading symbol for the security.
raw_symbolstringThe raw symbol without any exchange suffix.
descriptionstring or nullHuman-readable description of the security.
currencystring or nullISO-4217 currency code for the security listing.
exchangestring or nullExchange MIC code or exchange code for the security.
figi_instrumentobject or nullFinancial Instrument Global Identifier (FIGI) information for the security. See OpenFIGI for more information.
figi_codestring or nullThis identifier is unique per security per trading venue. See section 1.4.1 of the FIGI Standard for more information.
figi_share_classstring or nullThis enables users to link multiple FIGIs for the same security in order to obtain an aggregated view across all countries and all exchanges. For example, AAPL has a different FIGI for each exchange/trading venue it is traded on. The figi_share_class is the same for all of these FIGIs. See section 1.4.3 of the FIGI Standard for more information.
unitsstring (format: decimal) or nullThe number of units held in the position. Positive numbers indicate long positions and negative numbers indicate short positions.
pricestring (format: decimal) or nullLast known market price for the position.
cost_basisstring (format: decimal) or nullBook price or average purchase price for the position.
currencystring or nullISO-4217 currency code for the position price and cost_basis.
cash_equivalentbooleanPresent for stock positions that are also counted in cash balance or buying power.
tax_lotsarray of objectsPresent for stock positions when tax lot data is enabled for the account.
original_purchase_datestring (format: date-time) or nullThe date and time of the purchase.
quantitystring or nullThe number of shares in the tax lot. This can be fractional or integer units.
purchased_pricestring or nullThe purchase price per share for the tax lot.
cost_basisstring or nullThe cost basis of the entire lot.
current_valuestring or nullThe current market value of the entire lot.
position_typestring or nullThe type of position for the tax lot (e.g., LONG, SHORT).
lot_idstring or nullThe unique id for this specific tax lot
1{2"results": [3{4"instrument": {5"kind": "stock",6"id": "1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324",7"symbol": "AAPL",8"raw_symbol": "AAPL",9"description": "Apple Inc.",10"currency": "USD",11"exchange": "XNAS",12"figi_instrument": {13"figi_code": "BBG000B9Y5X2",14"figi_share_class": "BBG001S5N8V8"15}16},17"units": "10.5",18"price": "123.45",19"cost_basis": "118.2",20"currency": "USD",21"cash_equivalent": false,22"tax_lots": [23{24"original_purchase_date": "2022-01-15T10:30:00Z",25"quantity": "10",26"purchased_price": "100.50",27"cost_basis": "1005.00",28"current_value": "1200.00",29"position_type": "LONG",30"lot_id": "12345678"31}32]33}34]35}